﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName= 'anaconda2' # arbitrary name for the package, used in messages
$url        = 'http://repo.continuum.io/archive/Anaconda2-4.0.0-Windows-x86.exe' # download url
$url64      = 'http://repo.continuum.io/archive/Anaconda2-4.0.0-Windows-x86_64.exe' # 64bit URL here or remove - if installer is both, use $url

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64
  #file         = $fileLocation

  silentArgs    = "/AddToPath=0  /InstallationType=AllUsers /S /D=C:\Program Files\Anaconda2\"
  validExitCodes= @(0)

  softwareName  = 'anaconda2' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '9fb16479d7eb3dd63cf4ad6704622c8a '
  checksumType  = 'md5' #default is md5, can also be sha1
  checksum64    = '6b2ad997c42fbf58bb1b54baa5619e4f'
  checksumType64= 'md5' #default is checksumType
}

Write-Host 'installing anaconda2, this can take a long time.'
Write-Host 'Please sit back and relax'
Install-ChocolateyPackage @packageArgs
